# INSTRUCTIONS FOR THE ASSIGNMENT

1. Create virtual environment, install necessary packages. Only run this code once, the first time you set everything up.

cd type-path-to-your-homework-folder-here
python3 -m venv ./venv


2. Activate virtual environment. Run this everytime before working on your homework.

cd type-path-to-your-homework-folder-here
source venv/bin/activate


3. Install necessary packages. Only run this code once, the first time you set everything up.

pip install --upgrade pip
pip install -r requirements.txt


4. Launch the notebook to work on the assignment in a browser.

jupyter notebook data_classification_with_one_hidden_layer_network.ipynb


5. Only add in your code where indicated (i.e. between "### START CODE HERE ###" and "### END CODE HERE ###").
You should not modify any other code. The additional python files "planar_utils.py" and "test_cases.py"
also should not be modified.


6. Be sure to save your work in the notebook. To close the notebook click file > close, then in the terminal you can shut down the kernel with CTRL-c and then confirming that you want to shut it down.


7. Submission: submit your ipynb file to Canvas.

Tips:
See here: https://jupyter-notebook.readthedocs.io/en/stable/examples/Notebook/Running%20Code.html for
help on coding within the notebook.
